summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Oleg A. Deordiev <admin@ifconfig.com.ua>2014-12-22 01:58:30 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-12-22 01:58:30 +0700
commit59ae3cc9fd711820a2ceb1b020ff40145050f04b (patch)
treec8e9f28125cad842b064e2a59289ef7cc1c7046c
parent15872a17d419a058a5693dfda1b9b62546930b3f (diff)
downloadslackbuilds-59ae3cc9f.tar.gz
slackbuilds-59ae3cc9f.tar.xz
desktop/XDecorations: Added (eye candy).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--desktop/XDecorations/README2
-rw-r--r--desktop/XDecorations/XDecorations.SlackBuild88
-rw-r--r--desktop/XDecorations/XDecorations.info11
-rw-r--r--desktop/XDecorations/doinst.sh0
-rw-r--r--desktop/XDecorations/makefile.patch23
-rw-r--r--desktop/XDecorations/slack-desc19
6 files changed, 143 insertions, 0 deletions
diff --git a/desktop/XDecorations/README b/desktop/XDecorations/README
new file mode 100644
index 0000000000..43f8567047
--- /dev/null
+++ b/desktop/XDecorations/README
@@ -0,0 +1,2 @@
+Some eye candy for the holidays, including lights, trees, snowmen,
+pumpkins, flying sleighs and witches, snow and autumn leaves.
diff --git a/desktop/XDecorations/XDecorations.SlackBuild b/desktop/XDecorations/XDecorations.SlackBuild
new file mode 100644
index 0000000000..13b9f808a0
--- /dev/null
+++ b/desktop/XDecorations/XDecorations.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Slackware build script for XDecorations
+
+# Copyright 2014 Oleg A. Deordiev Ukraine
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=XDecorations
+VERSION=${VERSION:-0.1.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+patch < $CWD/makefile.patch
+
+make
+make install DESTDIR=$PKG
+
+cp ./Changlog $PKG/usr/doc/$PRGNAM/Changlog
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM/$PRGNAM.SlackBuild
+cat $CWD/README > $PKG/usr/doc/$PRGNAM/README
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/desktop/XDecorations/XDecorations.info b/desktop/XDecorations/XDecorations.info
new file mode 100644
index 0000000000..ecebfd181f
--- /dev/null
+++ b/desktop/XDecorations/XDecorations.info
@@ -0,0 +1,11 @@
+PRGNAM="XDecorations"
+VERSION="0.1.7"
+HOMEPAGE="http://xfce-look.org/content/show.php?action=content&content=167575"
+DOWNLOAD="https://dl.dropboxusercontent.com/s/xxqhohn34yr2ybp/XDecorations-0.1.7.tar.gz"
+MD5SUM="37c5d33a09fd3e7992c78f21a2e610c2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="imlib2"
+MAINTAINER="Oleg A. Deordiev"
+EMAIL="admin@ifconfig.com.ua"
+
diff --git a/desktop/XDecorations/doinst.sh b/desktop/XDecorations/doinst.sh
new file mode 100644
index 0000000000..e69de29bb2
--- /dev/null
+++ b/desktop/XDecorations/doinst.sh
diff --git a/desktop/XDecorations/makefile.patch b/desktop/XDecorations/makefile.patch
new file mode 100644
index 0000000000..6ad682713c
--- /dev/null
+++ b/desktop/XDecorations/makefile.patch
@@ -0,0 +1,23 @@
+--- Makefile- 2014-12-21 20:31:41.775025980 +0200
++++ Makefile 2014-12-21 20:33:13.430143913 +0200
+@@ -12,10 +12,10 @@
+
+ install:
+ g++ -o $(PROGRAM) -DDATADIR=\"${INSTALLDATADIR}\" $(SRC) $(LIBS)
+- mkdir -vp $(DESTDIR)$(PREFIX)/share/$(PROGRAM)/pixmaps $(DESTDIR)$(PREFIX)/bin $(DESTDIR)$(PREFIX)/share/doc/$(APPNAME) ||true
++ mkdir -vp $(DESTDIR)$(PREFIX)/share/$(PROGRAM)/pixmaps $(DESTDIR)$(PREFIX)/bin $(DESTDIR)$(PREFIX)/doc/$(APPNAME) ||true
+ cp -r pixmaps/* $(DESTDIR)$(PREFIX)/share/$(PROGRAM)/pixmaps||true
+ cp $(PROGRAM) $(DESTDIR)$(PREFIX)/bin||true
+- cp INSTALL xdecorations.rc $(DESTDIR)$(PREFIX)/share/doc/$(APPNAME) ||true
++ cp INSTALL xdecorations.rc $(DESTDIR)$(PREFIX)/doc/$(APPNAME) ||true
+
+ uninstall:
+ rm -r $(DESTDIR)$(PREFIX)/bin/$(PROGRAM) $(DESTDIR)$(PREFIX)/share/$(PROGRAM)
+@@ -27,4 +27,5 @@
+ cp $(PROGRAM).rc ~/.config
+
+ makeball:
+- gcc -o ball double.c -L/usr/lib64 -lXext -lX11 -lm -lXpm
+\ No newline at end of file
++ gcc -o ball double.c -L/usr/lib64 -lXext -lX11 -lm -lXpm
++
diff --git a/desktop/XDecorations/slack-desc b/desktop/XDecorations/slack-desc
new file mode 100644
index 0000000000..8f71581759
--- /dev/null
+++ b/desktop/XDecorations/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+XDecorations: XDecorations (eye candy)
+XDecorations:
+XDecorations: Some eye candy for the holidays, including lights, trees,
+XDecorations: snowmen, pumpkins, flying sleighs and witches,
+XDecorations: snow and autumn leaves.
+XDecorations:
+XDecorations:
+XDecorations:
+XDecorations:
+XDecorations:
+XDecorations: